complexType "RequestPositionReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 13 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, asOfDate?, (dataSetName? | requestedPositions? | reportContents?), party*, account*
</...>

Content Model Elements (13):

  account,
  asOfDate (in requestPositionReport),
  correlationId,
  dataSetName (in requestPositionReport),
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  reportContents (in requestPositionReport),
  requestedPositions (in requestPositionReport),
  sequenceNumber (defined in Sequence.model group),
  validation

All Direct / Indirect Based Elements (1):

  requestPositionReport

Known Usage Locations

- As direct type of elements (1):
  requestPositionReport

Annotation
A type defining the content model for a message requesting a position report .
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestPositionReport

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="RequestPositionReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:choice> <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/13)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this request desires positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:normalizedString"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics that should be provided.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

requestedPositions

  Type: | RequestedPositions, complex content

  The specific positions that this request corresponds to. Describes the desired report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.